Safe Haskell | Safe-Inferred
Language | Haskell2010

Minimal

Description

This tests the new MINIMAL pragma present in GHC 7.8

# Documentation

class Foo a where #

Minimal complete definition

foo, bar | bar, bat | foo, bat | fooBarBat

Methods

foo :: a #

Any two of these are required...

bar :: a #

bat :: a #

fooBarBat :: (a, a, a) #

.. or just this

class Weird a where #

Minimal complete definition

(a, b, c | (d | e, (f | g)))

Methods

a :: a #

b :: a #

c :: a #

d :: a #

e :: a #

f :: a #

g :: a #

class NoMins a where #

Minimal complete definition

x, y

Methods

x :: a #

y :: a #

z :: a #

class FullMin a where #

Methods

aaa :: a #

bbb :: a #

class PartialMin a where #

Minimal complete definition

ccc, ddd

Methods

ccc :: a #

class EmptyMin a where #

Minimal complete definition

Nothing

Methods

eee :: a #

fff :: a #